Subject: Re: [lemonade] compress=deflate: why turn compression off?

From: Randall Gellens <[email-masked]>
Date: Fri, 7 Jul 2006 17:19:14 -0700

At 11:28 AM +0200 6/29/06, Arnt Gulbrandsen wrote:
>  All the evidence I've seen so far is that receiving data data 
> compressed requires less CPU than uncompressed.

At 12:35 PM +0200 6/29/06, Arnt Gulbrandsen wrote:

>  Perhaps the distinction between compression and decompression got 
> lost somewhere along the line?
>
>  It's easy to find files that require lots of CPU (and battery 
> power) to compress. It's plausible that in some (or many?) cases, 
> compress+transmit is more expensive than transmit. But that's 
> irrelevant. Usually the sender isn't battery-constrained, and even 
> when it is, the sender already has the possibility to adjust its 
> compression expense up and down, all the way down to zero.
>
>  Decompression is the issue. Decompression seems (from what everyone 
> says) to be a win-or-even in terms of power. Can you (or anyone) 
> find exceptions?

In talking to handset people, I've repeatedly been told that 
compression saves power.  For client-to-server data, when the client 
needs to compress rather than decompress, the client is saving radio 
transmission, which is even more expensive than radio reception.  So 
it's a win in both cases.
-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
Violence is the last refuge of the incompetent.
                Salvador Hardin

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade